package co.jp.mamol.myapp.repository;

import co.jp.mamol.myapp.model.DepartmentModel;
import co.jp.mamol.myapp.model.SizaiModel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface OrderDeliverRepository {

    // DA 3001
    List<DepartmentModel> deptList();

    // DA 3002
    List<SizaiModel> approvaledList(@Param(value = "deptId")String deptId);

    // DA 3004
    boolean orderAct(@Param(value = "id") int id);

    // DA 3003
    List<SizaiModel> orderedList(@Param(value = "deptId")String deptId);

    // DA 3005
    boolean deleverAct(@Param(value = "id") int id);
}
