package co.jp.mamol.myapp.repository;

import co.jp.mamol.myapp.model.UserModel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface UserRepository {
	//ユーザ情報取得
	UserModel findUserById(@Param("userid") String userid);

	//転換用
	List<UserModel> findAllUsersForPasswordMigration();

	//転換用
	void updateUserHashedPassword(@Param("id") String id, @Param("hashedPassword") String hashedPassword);
}