package co.jp.mamol.myapp.repository;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import co.jp.mamol.myapp.model.CategoryModel;
import co.jp.mamol.myapp.model.SizaiModel;

@Mapper
public interface BuyRequestRepository {
	
	// DA 1003
	public List<SizaiModel> getUserRequsetList(
			@Param(value = "startDate") String startDate,
	        @Param(value = "endDate") String endDate,
	        @Param(value = "request_user_id") String request_user_id
	);
	
	// DA 004
	public SizaiModel getRequestById(@Param(value = "id") int id);
	
	// DA 1006
	public boolean deleteById(@Param(value = "id") int id);
	
	// DA 1001
	public void requestRegist(SizaiModel sizai);
	
	// DA 1002
	public List<CategoryModel> getCategory();
	
	// DA 1005
	public boolean modifyRequest(SizaiModel sizai);
}